* HASH1 Fusion_base.sas : Exemple adapt de la section 6.6 du cours "Langage SAS intermdiaire";

* Version 1.0 (2013.04.16) Fonctionne en version 9.1 et plus de SAS;

LIBNAME EDUC "c:\EDUCSAS\";
DATA EXTRACT;
* Dfinir les attributs des variables provenant de la table secondaire;
  IF 0 THEN SET EDUC.FAMILY;

* Charger la table HASH une seule fois, lors du traitement de la premire observation;
  IF _N_=1 THEN DO;
     DECLARE HASH MY_TABLE(DATASET: "EDUC.FAMILY",HASHEXP:10);
     RC = MY_TABLE.DEFINEKEY("FAM_NUM");
     RC = MY_TABLE.DEFINEDATA("PROV","CITY");
     RC = MY_TABLE.DEFINEDONE( );
  END; 

* Mettre les variables recherches  manquant, au cas ou la recherche dans la table secondaire choue;
  CALL MISSING(PROV,CITY); 

* Lire chaque observation de la table principale;
  SET EDUC.CHILDREN;

* Tenter de trouver les informations requises de la table secondaire;
  IF FAM_NUM NE . THEN RC = MY_TABLE.FIND();
RUN;




